## com.imcode.imcms.servlet.superadmin
Class TestLinkCheck

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.servlet.superadmin.TestLinkCheck

All Implemented Interfaces:
  junit.framework.Test

    public class TestLinkCheck

extends junit.framework.TestCase

Constructor Summary
`TestLinkCheck()`

Method Summary
`void` `testFixSchemelessUrlWithFtpUrl()`
`void` `testMatchesUrl()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestLinkCheck

    public TestLinkCheck()

Method Detail

### testMatchesUrl

    public void testMatchesUrl()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testFixSchemelessUrlWithFtpUrl

    public void testFixSchemelessUrlWithFtpUrl()